import { ref, computed } from 'vue'
import { defineStore } from 'pinia'

export const userInfoStore = defineStore('counter', () => {
  const user = ref({})
  const doubleCount = computed(() => user)
  function increment() {
    user
  }

  return { user, doubleCount, increment }
})

export const userCurrentRole = defineStore('currentRole', () => {
  const currentRole = ref("")
  const doubleCount = computed(() => currentRole)
  function increment() {
    currentRole
  }

  return { currentRole, doubleCount, increment }
})
